{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    idea-community-eap
    clion-eap
    texlive.combined.scheme-full biber
    androidsdk
    gimp
    inkscape
    jabref
    libreoffice
    #calibre https://github.com/NixOS/nixpkgs/pull/26201
    vscode

    coq_8_6

    # cargo rustc
  ] ++ (with aspellDicts; [ en de fr nl ]);

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    myemacs = emacs25.override {
      withGTK2 = false;
      withGTK3 = true;
      withXwidgets = true;
    };
  };

}
